knn1                  package:class                  R Documentation

1-nearest neighbour classification

Description:

     Nearest neighbour classification for test set from training set.
     For each row of the test set, the nearest (by Euclidean distance)
     training set vector is found, and its classification used. If
     there is more than one nearest, a majority vote is used with ties
     broken at random.

Usage:

     knn1(train, test, cl)

Arguments:

   train: matrix or data frame of training set cases. 

    test: matrix or data frame of test set cases. A vector will be
          interpreted as a row vector for a single case. 

      cl: factor of true classification of training set. 

Value:

     factor of classifications of test set.

References:

     Ripley, B. D. (1996) _Pattern Recognition and Neural Networks._
     Cambridge.

     Venables, W. N. and Ripley, B. D. (2002) _Modern Applied
     Statistics with S._ Fourth edition.  Springer.

See Also:

     'knn'

Examples:

     data(iris3)
     train <- rbind(iris3[1:25,,1], iris3[1:25,,2], iris3[1:25,,3])
     test <- rbind(iris3[26:50,,1], iris3[26:50,,2], iris3[26:50,,3])
     cl <- factor(c(rep("s",25), rep("c",25), rep("v",25)))
     knn1(train, test, cl)

